xmlgraphics-fop-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Arian <armyofda12mnk...@gmail.com>
Subject Re: Maven + FOP 1.1
Date Mon, 18 Nov 2013 21:30:56 GMT
k i did see it compiled only cause I had added these before, then removed
it (but the .jars were still there in target folder):
  <dependency>
   <groupId>avalon-framework</groupId>
   <artifactId>avalon-framework-api</artifactId>
   <version>4.2.0</version>
  </dependency>
  <dependency>
   <groupId>avalon-framework</groupId>
   <artifactId>avalon-framework-impl</artifactId>
   <version>4.2.0</version>
  </dependency>

I basically need the above fix and the exclusion fix from previous thread
email...
In summary, I did this (wish i found this earlier :) ):

https://issues.apache.org/jira/browse/FOP-2151

Thanks,
Ari



On Mon, Nov 18, 2013 at 4:11 PM, Arian <armyofda12mnkeys@gmail.com> wrote:

> Maybe I could remove the unneeded dependency from my project's pom.xml
> file with an 'exclusion'. Tried this below and looks like it compiles now
> (not sure if its 100% correct thing to do though, any thoughts?).
>
> <dependency>
> <groupId>org.apache.xmlgraphics</groupId>
> <artifactId>fop</artifactId>
>  <version>1.1</version>
>
> <exclusions>
>   <exclusion>
>     <artifactId>avalon-framework-api</artifactId>
>     <groupId>org.apache.avalon.framework</groupId>
>   </exclusion>
>   <exclusion>
>     <artifactId>avalon-framework-impl</artifactId>
>     <groupId>org.apache.avalon.framework</groupId>
>   </exclusion>
> </exclusions>
>  </dependency>
>
>
> On Mon, Nov 18, 2013 at 3:19 PM, Arian <armyofda12mnkeys@gmail.com> wrote:
>
>> Hey Rob,
>>
>> Thanks for quick response... Would I only be installing the fop.jar 1.1 I
>> got via the website into my local repository like below?
>>
>> mvn install:install-file -Dfile=fop.jar -DgroupId=org.apache.xmlgraphics
>> -DartifactId=fop -Dversion=1.1 -Dpackaging=jar
>>
>> Would any of these FOP dependencies also need to get added to local
>> repository, or just fop.jar would suffice?
>> avalon-framework-4.2.0.jar
>> batik-all-1.7.jar (i definitely use SVG in my pdf)
>> commons-io-1.3.1.jar
>> commons-logging-1.0.4.jar
>> serializer-2.7.0.jar
>> xalan-2.7.0.jar
>> xercesImpl-2.7.1.jar
>> xml-apis-1.3.04.jar
>> xml-apis-ext-1.3.04.jar
>> xmlgraphics-commons-1.5.jar
>>
>>
>> Thanks,
>> Arian
>>
>>
>>
>> On Mon, Nov 18, 2013 at 3:05 PM, Rob Sargent <rsargent@xmission.com>wrote:
>>
>>>  Off list, as this a work-around suggestion:  Can you convince local
>>> administrators to simply add the jar(s) to your local maven cache?
>>>
>>> rjs
>>>
>>>  On 11/18/2013 01:00 PM, Arian wrote:
>>>
>>> Hey all,
>>> I'm a web developer that has to create a quick Servlet as a proof of
>>> concept.... but our project uses Maven and FOP 1.1 seems to be broken in
>>> Maven possibly.
>>>
>>>  I added this to the pom.xml:
>>>  <dependency>
>>>  <groupId>org.apache.xmlgraphics</groupId>
>>>  <artifactId>fop</artifactId>
>>>  <version>1.1</version>
>>>  </dependency>
>>>
>>>
>>>  and when I run the Maven install i get:
>>>
>>>  [ERROR] Failed to execute goal on project mytest: Could not resolve
>>> dependencies for project com.testwebsite.mytest:war:1.4.0: The following
>>> artifacts could not be resolved:
>>> org.apache.avalon.framework:avalon-framework-api:jar:4.2.0,
>>> org.apache.avalon.framework:avalon-framework-impl:jar:4.2.0: Failure to
>>> find org.apache.avalon.framework:avalon-framework-api:jar:4.2.0 in
>>> http://repo1.maven.org/maven2 was cached in the local repository,
>>> resolution will not be reattempted until the update interval of central has
>>> elapsed or updates are forced
>>>
>>>
>>>
>>>  I read something in a thread in December about how the maven FOP 1.1
>>> repository should be fixed. But not sure what the solution people came up
>>> with.
>>> P.S. we don't have a Maven Repository Manager system :(. Any ideas?
>>>
>>>  Thanks for any advice,
>>> Ari
>>>
>>>
>>>
>>
>

Mime
View raw message